Skip to content

Get one CompoundCT

Request

Get one CompoundCT by its essence.

Security
bearer
Query
modestring

The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

Default:"persistable_reference"
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json

A unique description of a compound cartographic transform (CompoundCT), either as persistable reference string or essence JSON.

persistableReferencestring

The persistable reference string, either the essence of the CompoundCT serialized into a JSON string or an encoded string (version 1).

Example:"{\"policy\":\"Fallback\",\"cts\":[{\"wkt\":\"GEOGTRAN[\\\"NAD_1927_To_WGS_1984_79_CONUS\\\",GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_

Compound cartographic transformation.

Example:
{ "authCode": { "auth": "OSDU", "code": "158511693" }, "name": "Fallback NAD27 to WGS 84 (79)/NAD27 to WGS 84 (33)", "policy": "Fallback", "type": "CT", "cts": [ { … }, { … } ], "ver": "PE_10_3_1" }
curl -i -X POST \
  'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundct?mode=persistable_reference' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "persistableReference": "{\"policy\":\"Fallback\",\"cts\":[{\"wkt\":\"GEOGTRAN[\\\"NAD_1927_To_WGS_1984_79_CONUS\\\",GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"NADCON\\\"],PARAMETER[\\\"Dataset_conus\\\",0.0],AUTHORITY[\\\"EPSG\\\",15851]]\",\"ver\":\"PE_10_3_1\",\"name\":\"NAD_1927_To_WGS_1984_79_CONUS\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"15851\"},\"type\":\"ST\"},{\"wkt\":\"GEOGTRAN[\\\"NAD_1927_To_WGS_1984_33\\\",GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433]],METHOD[\\\"NTv2\\\"],PARAMETER[\\\"Dataset_canada/Ntv2_0\\\",0.0],AUTHORITY[\\\"EPSG\\\",1693]]\",\"ver\":\"PE_10_3_1\",\"name\":\"NAD_1927_To_WGS_1984_33\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"1693\"},\"type\":\"ST\"}],\"ver\":\"PE_10_3_1\",\"name\":\"Fallback NAD27 to WGS 84 (79)/NAD27 to WGS 84 (33)\",\"authCode\":{\"auth\":\"OSDU\",\"code\":\"158511693\"},\"type\":\"CT\"}",
    "essence": {
      "authCode": {
        "auth": "OSDU",
        "code": "158511693"
      },
      "name": "Fallback NAD27 to WGS 84 (79)/NAD27 to WGS 84 (33)",
      "policy": "Fallback",
      "type": "CT",
      "cts": [
        {
          "authCode": {
            "auth": "EPSG",
            "code": "15851"
          },
          "name": "NAD_1927_To_WGS_1984_79_CONUS",
          "type": "ST",
          "ver": "PE_10_3_1",
          "wkt": "GEOGTRAN[\"NAD_1927_To_WGS_1984_79_CONUS\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NADCON\"],PARAMETER[\"Dataset_conus\",0.0],AUTHORITY[\"EPSG\",15851]]"
        },
        {
          "authCode": {
            "auth": "EPSG",
            "code": "1693"
          },
          "name": "NAD_1927_To_WGS_1984_33",
          "type": "ST",
          "ver": "PE_10_3_1",
          "wkt": "GEOGTRAN[\"NAD_1927_To_WGS_1984_33\",GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433]],METHOD[\"NTv2\"],PARAMETER[\"Dataset_canada/Ntv2_0\",0.0],AUTHORITY[\"EPSG\",1693]]"
        }
      ],
      "ver": "PE_10_3_1"
    }
  }'

Responses

A successful response

Bodyapplication/json
sourcestring(Source)

The source of the CompoundCT.

aliasNamesArray of strings(Alias Names)

Alias names for this CompoundCT.

descriptionstring(Description)

The description of the CompoundCT.

fromCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

toCRSAuthorityCodeobject(Authority Code)

The AuthorityCode for this item.

lastModifiedstring(LastModified)

The LastModified of the CompoundCT.

areaOfUseobject(AreaOfUse)

The AreaOfUse class.

deprecationInfoobject(CT Deprecation Info)

Deprecation information for a cartographic transform.

namedReferenceobject(NamedReference)

Name and Persistable Reference (the essence converted to a JSON string).

Compound cartographic transformation.

Response
{ "source": "string", "aliasNames": [ "string" ], "description": "string", "fromCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "toCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCT": { … } }, "namedReference": { "name": "string", "persistableReference": "string" }, "essence": { "type": "CT", "name": "Fallback NAD27 to WGS 84 (79)/NAD27 to WGS 84 (33)", "ver": "PE_10_3_1", "policy": "Fallback", "cts": [ … ], "authCode": { … } } }